Get prompts
- Base URL
-
https://{kibana_url}
-
GET
/api/security_ai_assistant/prompts/_find
-
GET
/s/{space_id}/api/security_ai_assistant/prompts/_find
Auth
Get a list of all prompts based on optional filters, sorting, and pagination.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
fields
string[]
-
List of specific fields to include in each returned prompt.
-
Example:
["id","name","content"]
-
filter
string
-
Search query string to filter prompts by matching fields.
-
Example:
error handling
-
sort_field
enum
-
Field to sort prompts by.
-
Values:
created_at
is_default
name
updated_at
-
sort_order
enum
-
Sort order, either asc or desc.
-
Values:
asc
desc
-
page
integer · min: 1 · default: 1
-
Page number for pagination.
-
per_page
integer · min: 0 · default: 20
-
Number of prompts per page.
Successful response containing a list of prompts.
application/json
-
data
object[]
required
-
The list of prompts returned based on the search query, sorting, and pagination.
-
-
categories
string[]
-
Categories associated with the prompt.
-
color
string
-
The color associated with the prompt.
-
consumer
string
-
The consumer that the prompt is associated with.
-
content
string
required
-
The content of the prompt.
-
createdAt
string
-
The timestamp of when the prompt was created.
-
createdBy
string
-
The user who created the prompt.
-
id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters.
-
isDefault
boolean
-
Whether this prompt is the default.
-
isNewConversationDefault
boolean
-
Whether this prompt is the default for new conversations.
-
name
string
required
-
The name of the prompt.
-
namespace
string
-
Kibana space where the prompt is located.
-
promptType
enum
required
-
Type of the prompt (either system or quick).
-
Values:
system
quick
-
timestamp
string · format: nonempty · min length: 1
-
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
-
updatedAt
string
-
The timestamp of when the prompt was last updated.
-
updatedBy
string
-
The user who last updated the prompt.
-
users
object[]
-
List of users associated with the prompt.
-
-
page
integer
required
-
Current page number.
-
perPage
integer
required
-
Number of prompts per page.
-
total
integer
required
-
Total number of prompts matching the query.
Bad request due to invalid parameters or malformed query.
application/json
-
error
string
-
Short error message.
-
message
string
-
Detailed description of the error.
-
statusCode
number
-
HTTP status code for the error.
Thank you for your feedback.